//
//  ViewController.m
//  Animate
//
//  Created by Admin on 2018/4/12.
//  Copyright © 2018年 Admin. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    UIButton *button;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    button = [UIButton buttonWithType:UIButtonTypeCustom];
    [button setImage:[UIImage imageNamed:@"arrows"] forState:UIControlStateNormal];
    button.frame = CGRectMake(0, 0, 60, 60);
    button.center = self.view.center;
    [self.view addSubview:button];
    [button addTarget:self action:@selector(click:) forControlEvents:UIControlEventTouchUpInside];
}

- (void)click:(id)sender {
    
    if (button.isSelected) {
        
        button.selected = NO;
        [UIView animateWithDuration:0.3 animations:^{
            
            button.transform = CGAffineTransformMakeRotation(0);
        }];
    } else {
        
        button.selected = YES;
        [UIView animateWithDuration:0.3 animations:^{
            
            button.transform = CGAffineTransformMakeRotation(M_PI_2);
        }];
    }
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
